package cz.moneta.test.dsl.util.task.monetaportal;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.dsl.util.task.monetaportal.childbuildingsavings.ChildBuildingSavingsTasks;

public class MonetaPortalTasks {

    private final Harness harness;

    public MonetaPortalTasks(Harness harness) {
        this.harness = harness;
    }

    public CalculatorTasks calculatorTasks() {
        return new CalculatorTasks(harness);
    }

    public CommonTasks commonTasks() {
        return new CommonTasks(harness);
    }

    public FormTasks formTasks() {
        return new FormTasks(harness);
    }

    public Wso2Tasks wso2Tasks() {
        return new Wso2Tasks(harness);
    }

    public MortgageTasks mortgageTasks() {
        return new MortgageTasks(harness);
    }

    public ChildBuildingSavingsTasks childBuildingSavingsTasks() {
        return new ChildBuildingSavingsTasks(harness);
    }
}